Bug 27795 - Misalignment of TOTAL value in lateorders page
Summary: Misalignment of TOTAL value in lateorders page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-25 13:54 UTC by Séverine Queune
Modified: 2021-03-23 06:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.04,20.05.10


Attachments
Bad alignment of Total cost sum (34.06 KB, image/png)
2021-02-25 13:54 UTC, Séverine Queune
Details
Bug 27795: Misalignment of TOTAL value in lateorders page (2.76 KB, patch)
2021-02-25 14:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27795: Misalignment of TOTAL value in lateorders page (2.82 KB, patch)
2021-03-01 10:06 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27795: Misalignment of TOTAL value in lateorders page (2.88 KB, patch)
2021-03-04 14:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2021-02-25 13:54:20 UTC
Created attachment 117323 [details]
Bad alignment of Total cost sum

On /cgi-bin/koha/acqui/lateorders.pl page, the "Total cost" sum is align with the quantity column. It should be shift by a column to the right (sees screenshot attached).
Maybe the occasion to add a total for "Quantity" column ?
Comment 1 Owen Leonard 2021-02-25 14:44:16 UTC
Created attachment 117331 [details] [review]
Bug 27795: Misalignment of TOTAL value in lateorders page

This patch corrects the colspan in the footer of the late orders page.

It also adds a quantity total cell to the footer and changes the
container of the buttons at the bottom of the page from a <p> tag to
the standard <fieldset class="action">.

To test, apply the patch and go to Acquisitions -> Late orders.

In the footer of the late orders page, there should be a total under the
"Quantity" column. The total cost number should be correctly aligned
under the "total cost" header cell.
Comment 2 Martin Renvoize 2021-03-01 10:06:27 UTC
Created attachment 117431 [details] [review]
Bug 27795: Misalignment of TOTAL value in lateorders page

This patch corrects the colspan in the footer of the late orders page.

It also adds a quantity total cell to the footer and changes the
container of the buttons at the bottom of the page from a <p> tag to
the standard <fieldset class="action">.

To test, apply the patch and go to Acquisitions -> Late orders.

In the footer of the late orders page, there should be a total under the
"Quantity" column. The total cost number should be correctly aligned
under the "total cost" header cell.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-03-01 10:06:54 UTC
Looks good, signing off.
Comment 4 Katrin Fischer 2021-03-04 14:43:18 UTC
Created attachment 117732 [details] [review]
Bug 27795: Misalignment of TOTAL value in lateorders page

This patch corrects the colspan in the footer of the late orders page.

It also adds a quantity total cell to the footer and changes the
container of the buttons at the bottom of the page from a <p> tag to
the standard <fieldset class="action">.

To test, apply the patch and go to Acquisitions -> Late orders.

In the footer of the late orders page, there should be a total under the
"Quantity" column. The total cost number should be correctly aligned
under the "total cost" header cell.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-03-05 12:52:15 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-03-12 07:56:29 UTC
Pushed to 20.11.x for 20.11.04
Comment 7 Andrew Fuerste-Henry 2021-03-14 19:50:07 UTC
Pushed to 20.05.x for 20.05.10
Comment 8 Victor Grousset/tuxayo 2021-03-23 06:26:48 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.